- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# ShootCommand Class Reference

`#include <Command.h>`

Inheritance diagram for ShootCommand:

List of all members.

## Public Member Functions
| ShootCommand (Person *person)
| ShootCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _person
## Static Private Attributes
static const std::string | _id = "shoot"

## Detailed Description

Definition at line 192 of file Command.h.

## Constructor & Destructor Documentation

ShootCommand::ShootCommand | ( | Person * | person | ) |

| Definition at line 13 of file ShootCommand.cpp.

ShootCommand::ShootCommand | ( | List * | command | ) |

| Definition at line 18 of file ShootCommand.cpp. References _person, List::firstString(), and List::rest().

## Member Function Documentation

void ShootCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 24 of file ShootCommand.cpp. References _person, Level::getObject(), Level::instance(), and Person::shoot().

std::string ShootCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 33 of file ShootCommand.cpp. References _id, _person, List::getString(), and List::snoc().

static std::string ShootCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 200 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

const std::string ShootCommand::_id = "shoot"`[static, private]`

| Definition at line 204 of file Command.h. Referenced by getString(), and id().

std::string ShootCommand::_person`[private]`

| Definition at line 203 of file Command.h. Referenced by execute(), getString(), and ShootCommand().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/ShootCommand.cpp